Bug 139329 - [PATCH] palm/py-synce-librapi2: Fix build with custom PREFIX
Summary: [PATCH] palm/py-synce-librapi2: Fix build with custom PREFIX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Logvinov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-03 13:00 UTC by Alexander Logvinov
Modified: 2009-10-12 04:20 UTC (History)
0 users

See Also:


Attachments
file.diff (551 bytes, patch)
2009-10-03 13:00 UTC, Alexander Logvinov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Logvinov freebsd_committer 2009-10-03 13:00:16 UTC
Fix build with custom PREFIX.

Fix: Patch attached with submission follows:
How-To-Repeat: % make PREFIX=/var/rr
..
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -I/usr/local/include/python2.6 -I/usr/local/include -I../src -D_THREAD_SAFE -pthread -Wsign-compare -Wno-long-long -O2 -pipe -mfpmath=387 -mmmx -msse -msse2 -march=prescott -fno-strict-aliasing -MT pyrapi2_la-pyrapi2.lo -MD -MP -MF .deps/pyrapi2_la-pyrapi2.Tpo -c pyrapi2.c  -fPIC -DPIC -o .libs/pyrapi2_la-pyrapi2.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -I/usr/local/include/python2.6 -I/usr/local/include -I../src -D_THREAD_SAFE -pthread -Wsign-compare -Wno-long-long -O2 -pipe -mfpmath=387 -mmmx -msse -msse2 -march=prescott -fno-strict-aliasing -MT pyrapi2_la-pyrapi2.lo -MD -MP -MF .deps/pyrapi2_la-pyrapi2.Tpo -c pyrapi2.c -o pyrapi2_la-pyrapi2.o >/dev/null 2>&1
mv -f .deps/pyrapi2_la-pyrapi2.Tpo .deps/pyrapi2_la-pyrapi2.Plo
make: don't know how to make /var/rr//lib/librapi.la. Stop
Comment 1 Edwin Groothuis freebsd_committer 2009-10-03 13:00:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-10-03 13:00:32 UTC
Maintainer of palm/py-synce-librapi2,

Please note that PR ports/139329 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/139329

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-10-03 13:00:35 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Alexander Logvinov freebsd_committer 2009-10-03 13:21:44 UTC
Responsible Changed
From-To: freebsd-python->avl

I'll take it.
Comment 5 Bakulin Ilya 2009-10-11 16:42:12 UTC
OK, I approve this patch, please commit it.


-- 
Regards,
Ilya Bakulin
http://kibab.com
xmpp://kibab612@jabber.ru
Comment 6 dfilter service freebsd_committer 2009-10-12 04:16:21 UTC
avl         2009-10-12 03:16:12 UTC

  FreeBSD ports repository

  Modified files:
    palm/py-synce-librapi2 Makefile 
  Log:
  - Fix build with custom PREFIX
  
  PR:             ports/139329
  Submitted by:   myself
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.4       +1 -1      ports/palm/py-synce-librapi2/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Alexander Logvinov freebsd_committer 2009-10-12 04:16:35 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!